Bug 1313779 - Cannot install some dependencies for php image
Cannot install some dependencies for php image
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
Wang Haoran
: Regression
Depends On:
Blocks: 1314141
  Show dependency treegraph
 
Reported: 2016-03-02 05:42 EST by Wenjing Zheng
Modified: 2016-07-26 19:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1314141 (view as bug list)
Environment:
Last Closed: 2016-05-12 12:31:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wenjing Zheng 2016-03-02 05:42:45 EST
Description of problem:
Cannot install dependency with below error:
E0302 05:19:10.285552       1 util.go:91] You are running composer with xdebug enabled. This has a major impact on runtime performance. See https://getcomposer.org/xdebug
E0302 05:19:10.916537       1 util.go:91] Loading composer repositories with package information
E0302 05:19:10.929540       1 util.go:91] Initializing PEAR repository http://pear.php.net
E0302 05:19:10.932264       1 util.go:91] PEAR repository from http://pear.php.net could not be loaded. Your configuration does not allow connection to http://http://pear.php.net. See https://getcomposer.org/doc/06-config.md#secure-http for details.
E0302 05:19:12.084709       1 util.go:91] Installing dependencies (including require-dev)
E0302 05:19:28.153651       1 util.go:91] Your requirements could not be resolved to an installable set of packages.
E0302 05:19:28.191151       1 util.go:91] 
E0302 05:19:28.230815       1 util.go:91]   Problem 1
E0302 05:19:28.230859       1 util.go:91]     - The requested package pear-pear.php.net/mail could not be found in any version, there may be a typo in the package name.
E0302 05:19:28.230868       1 util.go:91]   Problem 2
E0302 05:19:28.230878       1 util.go:91]     - The requested package pear-pear.php.net/xml_serializer could not be found in any version, there may be a typo in the package name.
E0302 05:19:28.230906       1 util.go:91] 
E0302 05:19:28.230913       1 util.go:91] Potential causes:
E0302 05:19:28.230918       1 util.go:91]  - A typo in the package name
E0302 05:19:28.230929       1 util.go:91]  - The package is not available in a stable-enough version according to your minimum-stability setting
E0302 05:19:28.230936       1 util.go:91]    see <https://getcomposer.org/doc/04-schema.md#minimum-stability> for more details.
E0302 05:19:28.230941       1 util.go:91] 
E0302 05:19:28.230946       1 util.go:91] Read <https://getcomposer.org/doc/articles/troubleshooting.md> for further common problems.
I0302 05:19:30.364699       1 docker.go:481] Container wait returns with 2 and <nil>
I0302 05:19:30.364825       1 docker.go:488] Container exited
I0302 05:19:30.530224       1 cleanup.go:23] Removing temporary directory /tmp/s2i-build072572322
I0302 05:19:30.530259       1 fs.go:117] Removing directory '/tmp/s2i-build072572322'
F0302 05:19:30.532986       1 builder.go:185] Error: build error: non-zero (13) exit code from brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/rhscl/php-56-rhel7:latest

Version-Release number of selected component (if applicable):
openshift3/php-55-rhel7 92dc268352f7

How reproducible:
always

Steps to Reproduce:
1. Create application with json file
$oc process -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/build/sample-php-rhel7.json | oc create -f -
2. Check the build status
3. Check the build-log

Actual results:
Build failed

Expected results:
Build should succeed 

Additional info:
Comment 2 Martin Nagy 2016-03-02 12:21:16 EST
I have proposed a work-around in https://github.com/openshift-qe/sample-php/pull/1 that disables the http-secure option that is causing the problem. I've tried to make composer use https, but have failed.

I believe this not to be a bug in our builder image, but rather in the sample-php, or composer itself.
Comment 5 Aleksandar Kostadinov 2016-03-02 13:13:14 EST
Martin, so you consider that the issue is opeshift-qe/sample-php app and not the underlying image we provide?

I guess in such case, this bug can be closed and any further discussion to be held in the PR.
Comment 6 Martin Nagy 2016-03-03 04:31:01 EST
Aleksandar, yes.

Wenjing, should I move this to ON_QE?
Comment 7 Martin Nagy 2016-03-03 04:35:12 EST
Oops, accidentally did it anyway :)
Comment 8 Wenjing Zheng 2016-03-04 01:28:35 EST
Thanks for your fix, Martin! Verifying since this is not an issue of builder image.
Comment 10 errata-xmlrpc 2016-05-12 12:31:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.